Bug 729685 - qpid-route route del - fails
Summary: qpid-route route del - fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid
Version: 2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: messaging-bugs
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On: 560696
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 14:23 UTC by Zdenek Kraus
Modified: 2013-02-24 13:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 560696
Environment:
Last Closed: 2013-02-24 13:05:58 UTC


Attachments (Terms of Use)

Description Zdenek Kraus 2011-08-10 14:23:44 UTC
Same problem for:

rpm -qa | grep qpid
python-qpid-0.10-1.el5
qpid-java-common-0.10-6.el5
qpid-java-client-0.10-6.el5
qpid-tools-0.10-6.el5
qpid-cpp-client-0.10-8.el5
qpid-qmf-0.10-10.el5
qpid-cpp-client-devel-0.10-8.el5
python-qpid-qmf-0.10-10.el5
qpid-cpp-server-ssl-0.10-8.el5
qpid-cpp-server-store-0.10-8.el5
qpid-cpp-client-devel-docs-0.10-8.el5
qpid-java-example-0.10-6.el5
qpid-qmf-devel-0.10-10.el5
qpid-cpp-server-0.10-8.el5
qpid-cpp-client-ssl-0.10-8.el5
qpid-cpp-server-xml-0.10-8.el5
qpid-cpp-server-cluster-0.10-8.el5
qpid-cpp-server-devel-0.10-8.el5



+++ This bug was initially created as a clone of Bug #560696 +++

Created attachment 388078 [details]
reproducer

Description of problem:
unable to delete existing route with qpid-route. 


How reproducible:
100%

Steps to Reproduce:
see attachment "reproducer"
  
Actual results:
Failed: SystemExit - 0

Expected results:
PASS

Additional info:
nothing suspicious found in qpidd logs

--- Additional comment from tross@redhat.com on 2010-02-01 11:47:04 EST ---

What version of the qpid packages are you testing with?

--- Additional comment from ppecka@redhat.com on 2010-02-01 12:48:59 EST ---

rpm -qa | grep qpid  
                             
qpidc-0.5.752581-34.el5
qpidd-xml-0.5.752581-34.el5
ruby-qpid-0.4.749380-2.el5
qpid-java-common-0.5.751061-9.el5
qpidc-ssl-0.5.752581-34.el5
qpidc-devel-0.5.752581-34.el5
qpidd-devel-0.5.752581-34.el5
qpid-java-client-0.5.751061-9.el5
qpidd-acl-0.5.752581-34.el5
qpidd-rdma-0.5.752581-34.el5
qpidc-perftest-0.5.752581-34.el5
python-qpid-0.5.752581-4.el5
qpidc-rdma-0.5.752581-34.el5
qpid-dotnet-0.4.738274-2.el5
qpidd-cluster-0.5.752581-34.el5
qpidd-ssl-0.5.752581-34.el5
qpidc-debuginfo-0.5.752581-34.el5
qpidd-0.5.752581-34.el5

--- Additional comment from ppecka@redhat.com on 2010-07-15 08:38:28 EDT ---

The message "Failed: SystemExit - 0" after "qpid-route" seems to be confusing.
Isn't it better to just exit with proper return code without message like this?

--- Additional comment from gsim@redhat.com on 2010-08-02 10:57:27 EDT ---

Still present for 1.3:

python-qmf-0.7.946106-5.el5
qpid-tools-0.7.946106-6.el5

Believe the change needed is:

Index: tools/src/py/qpid-route
===================================================================
--- tools/src/py/qpid-route	(revision 981525)
+++ tools/src/py/qpid-route	(working copy)
@@ -325,7 +325,7 @@
                     res = link.close()
                     if res.status != 0:
                         raise Exception("Error closing link: %d - %s" % (res.status, res.text))
-                sys.exit(0)
+                return
         if not _quiet:
             raise Exception("Route not found")
 
I.e. don't exit from the delRoute() method, return and let the normal exit path be followed.

--- Additional comment from gsim@redhat.com on 2010-08-02 13:30:39 EDT ---

The issue with 1.2 appears to be a broker bug whereby the bridge is taken down (messages stop flowing), but the management object for the bridge still exists and never seems to be destroyed. This appears to have been fixed in 1.3 - can't yet see when/how.

--- Additional comment from gsim@redhat.com on 2010-08-02 14:06:11 EDT ---

Change to qpid-route (see comment #4) committed (http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=a44f680385740872f317c68f551e81d017570499).

--- Additional comment from tross@redhat.com on 2010-08-17 14:50:11 EDT ---

I've moved this back to ASSIGNED and changed the target from 1.3 to 1.2.

This bug is fixed in 1.3 but still occurs in 1.2.  It may be necessary to engineer or back-port a fix into 1.2.

--- Additional comment from tross@redhat.com on 2010-08-19 13:39:19 EDT ---

Created attachment 439743 [details]
Patch that fixes this bug

--- Additional comment from ppecka@redhat.com on 2010-09-08 05:59:21 EDT ---

Verified for 1.3 on RHEL 5.5 i386 / x86_64

# rpm -qa | grep -P '(qpid|ais|qmf)' | sort -u
openais-0.80.6-16.el5_5.7
openais-devel-0.80.6-16.el5_5.7
python-qmf-0.7.946106-12.el5
python-qpid-0.7.946106-13.el5
qmf-0.7.946106-12.el5
qmf-devel-0.7.946106-12.el5
qpid-cpp-client-0.7.946106-12.el5
qpid-cpp-client-devel-0.7.946106-12.el5
qpid-cpp-client-devel-docs-0.7.946106-12.el5
qpid-cpp-client-ssl-0.7.946106-12.el5
qpid-cpp-mrg-debuginfo-0.7.946106-6.el5
qpid-cpp-server-0.7.946106-12.el5
qpid-cpp-server-cluster-0.7.946106-12.el5
qpid-cpp-server-devel-0.7.946106-12.el5
qpid-cpp-server-ssl-0.7.946106-12.el5
qpid-cpp-server-store-0.7.946106-12.el5
qpid-cpp-server-xml-0.7.946106-12.el5
qpid-java-client-0.7.946106-8.el5
qpid-java-common-0.7.946106-8.el5
qpid-tools-0.7.946106-10.el5

--> VERIFIED for 1.3

--- Additional comment from errata-xmlrpc@redhat.com on 2010-10-07 21:50:39 EDT ---

An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0756.html


Note You need to log in before you can comment on or make changes to this bug.